#if !defined (__KQMLDBG_H__)

#define __KQMLDBG_H__

#define _kqml_dbg_msg(val) if ((val) <= _kqml_dbg_level) _kqml_dbg_msg1
#define _kqml_dbg_kmsg(val) \
	if ((val) <= _kqml_dbg_level) _kqml_dbg_kmsg1

extern int _kqml_dbg_level;

void _kqml_init_debugging (char *name, FILE *file, int level);
void _kqml_dbg_msg1 (char *fmt, ...);
void _kqml_dbg_kmsg1 (kqml_message *kmsg);
void _kqml_dbglevelset (int level);

#define KQML_DBG_ALWAYS		0	/* always log this message		   */
#define KQML_DBG_WARNING	3	/* major recoverable system error	   */
#define KQML_DBG_INFORM		5	/* worth noting, but not a problem	   */
#define KQML_DBG_CHATTER	7	/* general debugging level information	   */
#define KQML_DBG_VERBOSE	9	/* totally verbose stuff		   */

#endif /* __KQMLDBG_H__ */
